Subject: Sony CDU-31A driver version 0.4 available
From: Corey Minyard <[email-masked]>
Date: Fri, 19 Mar 1993 23:19:22 GMT
Newsgroups: comp.os.linux.announce

I have been working on the CDROM driver for the CDU-31A some and have
enhanced the driver enough to warrant a new release.  It is currently
on sunsite.unc.edu in the pub/Linux/Incoming directory and is named
sonycd-0.4.tar.z.  The file is compressed using gzip, so compress or
zcat will NOT work.  The file will probably be moved from Incoming
to /pub/Linux/kernel/cdrom before long.

This version of the driver requires Linux 0.99.7 as the kernel and
will not work with kernel versions before that one without some
hacking to the driver.  Yes, I like to live on the edge.

Corey
wf-rch.cirr.com

Anyway, here are the changes from 0.3:

Changes for 0.4

	Throughput on the drive is still not that great (~100KB/sec).  I
	need to investigate why this is, but I suspect it has to do with
	buffering.  The drive is supposed to support 250KB/sec.

	Driver now supports multiple opens and arbitrates between multple
	pending operations.  Now you can have workman up and still mount
	a CDROM.

	The spin-waits used before the driver was initialized have been
	removed.  Now all operations are explicitly timed.

	The jiffies comparisons have been changed from '!=' to '<='.  I
	think jiffies counts were being missed sometimes.  Now the driver
	will fail if jiffies overflows, but that will only occur on multiples
	of about 24 days after the OS was booted, so I'm not too worried.

	The driver files were renamed cdu31a.  This was to avoid conflicts
	between it and other drives.

-- 
Send submissions for comp.os.linux.announce to: [email-masked]